xact.walk = walk

room {
  nam = 'main',
  noinv = true,
  disp = 'Инженер',
  decor = function()
    local out = '^^'..fmt.c('{@ walk intro|Начать игру}')..'^^'
    if isdebug then
      out = out..fmt.c('{skip|Пропустить вступление (случайный персонаж)}')..'^^'
    end
    out = out..fmt.c('{credits|Благодарности и авторы деталей}')..[[^^
      F2 - сохранить игру^
      F3 - загрузить игру^^
      Автор игры: Александр Яковлев^
      Игра распространяется по лицензии CC BY-SA 4.0.
    ]]
    return out
  end,
  obj = {
    obj {
      nam = 'credits',
      act = [[
      Использованные изображения:^
      - Feathered от Martuchox -- subtlepatterns.com^
      - Карта от Google Maps^
      - Маркер карты от Jmlevick -- openclipart.org^^
      Спасибо за тестирование инженеру Вете и кибернетику technix'у^^
      Игра использует код Петра Косых по лицензии MIT (модуль ]]..fmt.em('proxymenu)')
    },
    obj {
      nam = 'skip';
      act = function()
        char.quests.car = 1
        char.gender = rndstr({"they", "it", "he", "she"})
        char.plural = rndalt(true, false)
        char.war = rndstr({"earth", "moon"})
        walk('chos');
        return true;
      end;
    }
  }
}

dlg {
  nam = 'intro',
  disp = 'Инженер',
  dsc = [[
    Скоростная магистраль сменилась автодорогой, с которой вы съехали на просёлочный тракт.
    Через несколько километров от дороги осталась только линия на карте навигатора:
    это было больше похоже на русские горки.^^

    Жестиана стояла далеко от цивилизации, но — вызов есть вызов.
    Вам надо было найти Анжелину Чо, починить всё что у неё по гарантии и быстро вернуться.
    Если бы не эти ямы, это могла быть приятная поездка за город.^^

    После одного очень заметного «ух» навигатор вдруг дрогнул и отключился.
    Вы попробовали вести прямо, но потеряли направление в однообразных полях и лесках.
    На счастье, на краю одного из лесков вы заметили металлический блеск.^^

    Это был робот неизвестной модели, по виду — социальный.
    У него не хватало левой руки, а глаза были закрыты за солнцезащитными очками.
    Он говорил скрипуче, с сильным акцентом; вам было трудно его понять без переводчика.^^

    -- З-с-ждравствуйте. По моему протоколу я долж-з-сен уточнит, какое обращ-сение вам
    подходит наилуц-с-шим образом. Что вы предпоц-читаете?
  ]],
  obj = {
    {
      {
        function()
          return 'Инженер-ремонтник (она)'
        end,
        function()
          char.gender = "she";
          char.plural = false;
          walk('start2');
          return true;
        end
      },
      {
        function()
          return 'Инженер-ремонтник (он)'
        end,
        function()
          char.gender = "he";
          char.plural = false;
          walk('start2');
          return true;
        end
      },
      {
        function()
          return 'Инженер-ремонтник (оно)'
        end,
        function()
          char.gender = "it";
          char.plural = false;
          walk('start2');
          return true;
        end
      },
      {
        function()
          return 'Инженер-ремонтник (они)'
        end,
        function()
          char.gender = "they";
          char.plural = false;
          walk('start2');
          return true;
        end
      },
      {
        function()
          return 'Инженеры-ремонтники (они)'
        end,
        function()
          char.gender = "they";
          char.plural = true;
          walk('start2');
          return true;
        end
      },
    }
  }
}
dlg {
  nam = 'start2',
  disp = false,
  dsc = function() 
    return [[-- Добро пож-з-саловать в Ж-жестиану, ]]..official()..[[.
      Вам требуец-тся помоц-щь?
    ]]
  end,
  obj = {
    {
      {
        function() return 'Где '..pronoun_1()..'?'; end,
        [[
        -- Где ]]..pronoun_1()..[[?^
        -- Добро посаловать в Зжсестиану. Деревня Малогхо раийона, население дефхятнадтцат' человек.]]
      };
      {
        'Кто твой хозяин?',
        [[-- Кто твой хозяин?^
        -- Этот элемент — собственность Горского А.В.]]
      };
      {
        function() return fmt.em('Как проехать до Жестианы? '..plural('У меня', 'У нас')..' в машине навигатор отключился.'); end,
        function()
          char.quests.car = 1
          walk('exit_west');
          return [[
          -- Как проехать до Жестианы? ]]..plural('У меня', 'У нас')..[[ в машине навигатор отключился.^
          -- Даваийте я покасу. Пожалуйцта, встанте сюда.^^
        Вы вышли из машины и встали рядом с роботом. Он показал на солнце.
        -- Там восток. Зжсестиана на юге.^^
        После этого он повернулся и фыркнул:^
        -- Обнаружен технологический объект.^
        Вы обернулись и увидели, как робот залезает в вашу машину и заводит её:^
        -- Технологический объект реквизирован. Во славу добра.^
        -- Эй!^^
        Вы побежали, стараясь догнать машину, но робот уже уезжал, идеально обходя все кочки и ухабы.^^
        Вам осталось только следовать пешком. На юг.
        ]]
        end,
      };
    };
  }
}
