--$Author: Alexander Yakolev$
--$Version: 1.2.1$
--$Name: Инженер$
-- instead_version "3.2.0"
require "fmt"
require "noinv"
declare "isdebug" (false)

require "proxymenu"

if isdebug then
  require "dbg"
  require "dbg-ru"
  loadmod("transcript")
end

-- Мы не шифруемся, у нас Creative Commons

include 'ui'
include 'tools'
include 'intro'
fmt.dash = true
fmt.quotes = true
fmt.para = true

include "locations/cathedral"
include "locations/abandoned"
include "locations/chos"
include "locations/pavels"
-- https://www.google.ru/maps/place/%D0%9C%D0%B5%D0%BA%D1%81%D0%B8%D0%BA%D0%B0/@22.8355052,-105.0808555,16z/data=!4m5!3m4!1s0x84043a3b88685353:0xed64b4be6b099811!8m2!3d23.634501!4d-102.552784

-- Необходимые правки стиля перед релизом:
-- 1. Убрать курсив от ответов на диалоги, чтобы они просто слились с основным текстом
-- 2. Убрать вывод текста ответов на первый из диалогов (выбор обращения)

room {
  nam = 'exit_west',
  disp = 'Дорога на запад',
  way = {'intersection', 'pavels', 'houseclosed'},
  decor = [[
    Вы стояли на окраине Жестианы.
    Прямая автодорога шла на запад, где начинался лес.
    В лесу она тут же делала крутой поворот.^^

    Отсюда были видны два здания в стороне.
  ]]
}
room {
  nam = 'houseclosed',
  disp = 'Запертый дом',
  decor = [[Типовой одноэтажный дом. Окна занавешены, а вход заперт.]],
  way = {'exit_west'},
}
room {
  nam = 'exit_north',
  disp = 'Дорога на север',
  way = {'town', 'abandoned'},
  decor = [[
    Вы стояли на окраине Жестианы.
    Прямая автодорога шла на север.

    Здесь от неё на запад отходил небольшой заезд из булыжника.
  ]]
}
room {
  nam = 'intersection',
  disp = 'Перекрёсток',
  decor = [[Просто три просёлочные дороги, которые соединялись вместе.^^
  В траве возле перекрёстка валялось несколько {glass|разбитых склянок.}]],
  way = {'exit_west', 'chos', 'town'},
  obj = {
    obj {
      nam = 'glass',
      disp = 'склянки',
      talk = 'Разговаривать со стеклом ещё хуже, чем с зеркалом. Особенно разбитым.',
      act = 'Несколько цветных склянок. Видимо, они кого-то сильно достали.'
    }
  }
}
room {
  nam = 'town',
  disp = 'Жестиана',
  way = {'exit_north', 'intersection'},
  decor = [[
    Жестиана - это маленькая деревня, которая была отмечена одной табличкой: «ЖЕСТИА--» на кривом столбе возле дороги.
    На этом же столбе висело расписание автобусов.
    Если бы не он, здесь были бы просто два типовых дома, которые стоят рядом, и
    просёлочная дорога между ними.
    Но столб - это остановка, а остановка обозначает деревню.^^

    Дом на западной стороне был украшен надписью, которая была когда-то яркой:
    «Добро Пожаловать». Вход был заперт.^^

    Дом напротив смотрел входом в сторону от дороги. Окна были зашторены, двери — закрыты.
  ]]
}
-- ЗАКРЫТО НА РЕМОНТ - А.Я.
room {
  nam = 'factory',
  disp = [[Здание на горе]],
  way = {'town', 'cathedral'},
  dsc = [[
    Вы забрались на склон горы.
    Отсюда хорошо была видна вся Жестиана.
    Напротив вы видели ярко-розовый двухэтажный дом с высокой пристройкой.
    Вход в пристройку был открыт. Над ним растянулся длинный зелёный плакат с коротким сообщением:^^
    «КАЖДЫЙ СТАНЕТ ХТОНИЧЕСКОЙ ПИЩЕЙ»
  ]]
}
